<template>
    <q-dialog v-model="onOffDialog" position="bottom">
        <q-card style="width: 350px">
            <q-linear-progress :value="0.6" color="pink" />

            <q-card-section class="row items-center no-wrap">
                <div>
                    <div class="text-weight-bold">{{msg}}</div>
                    <div class="text-grey"></div>
                </div>
            </q-card-section>
        </q-card>
    </q-dialog>
</template>

<script>
export default {

  props: {
    msg: String,
  },
  data () {
    return {
      onOffDialog: false,
    }
  },

  methods: {

    // following method is REQUIRED
    // (don't change its name --> "show")
    show () {
      this.onOffDialog = true;
    },

    // following method is REQUIRED
    // (don't change its name --> "hide")
    hide () {
      this.onOffDialog = false;
    },

  },

}
</script>